Bug 901765

Summary: use of non-free code ( json license )
Product: [Fedora] Fedora Reporter: Michael Scherer <misc>
Component: rabbitmq-serverAssignee: Peter Lemenkov <lemenkov>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: hubert.plociniczak, lemenkov, tcallawa
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rabbitmq-server-3.0.4-1.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-17 15:54:00 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 182235, 901759    

Description Michael Scherer 2013-01-18 21:24:21 EST
According to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=692621

rabbitmq-server before the 3.0 release use a non-free license :

$ grep -r 'The Software shall be used for Good, not Evil.' .
./plugins-src/rabbitmq-jsonrpc-channel/priv/www/json.js:The Software shall be used for Good, not Evil.
./plugins-src/erlang-rfc4627-wrapper/erlang-rfc4627-git/test/server_root/htdocs/json.js:The Software shall be used for Good, not Evil.
Comment 1 Peter Lemenkov 2013-01-19 14:45:22 EST
Fortunately they switched to json2.js recently (which doesn't have this licensing clause).

Also please take a look:

* https://github.com/douglascrockford/JSON-js

It seems that Douglas Crockford finally relicensed it under a free license.
Comment 2 Tom "spot" Callaway 2013-01-19 14:50:43 EST
If only Douglas would do the same for jsmin. :P
Comment 3 Fedora Update System 2013-03-17 15:52:32 EDT
rabbitmq-server-3.0.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rabbitmq-server-3.0.4-1.fc18